package com.ruoyi.project.business.service;

import java.util.List;
import com.ruoyi.project.business.domain.TjElevator;

/**
 * 【请填写功能名称】Service接口
 * 
 * @author ruoyi
 * @date 2024-05-20
 */
public interface ITjElevatorService 
{
    /**
     * 查询【请填写功能名称】
     * 
     * @param id 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    public TjElevator selectTjElevatorById(Long id);

    /**
     * 查询【请填写功能名称】列表
     * 
     * @param tjElevator 【请填写功能名称】
     * @return 【请填写功能名称】集合
     */
    public List<TjElevator> selectTjElevatorList(TjElevator tjElevator);

    /**
     * 新增【请填写功能名称】
     * 
     * @param tjElevator 【请填写功能名称】
     * @return 结果
     */
    public int insertTjElevator(TjElevator tjElevator);

    /**
     * 修改【请填写功能名称】
     * 
     * @param tjElevator 【请填写功能名称】
     * @return 结果
     */
    public int updateTjElevator(TjElevator tjElevator);

    /**
     * 批量删除【请填写功能名称】
     * 
     * @param ids 需要删除的【请填写功能名称】主键集合
     * @return 结果
     */
    public int deleteTjElevatorByIds(Long[] ids);

    /**
     * 删除【请填写功能名称】信息
     * 
     * @param id 【请填写功能名称】主键
     * @return 结果
     */
    public int deleteTjElevatorById(Long id);
}
